## msideshow 0.0.1-1

=== debian/changelog ===
msideshow (0.0.1-1) stable; urgency=low

  Initial release.

 -- Pete Foster <maemo@xmob.co.uk>  Wed, 07 Oct 2009 10:01:43 +0000
