=== debian/control ===
Source: msideshow
Section: user/other
Priority: extra
Maintainer: Pete Foster <maemo@xmob.co.uk>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: msideshow
Architecture: all
Depends: python2.5, python2.5-pygame, python2.5-bluez, python2.5-osso
Description: mSideShow allows you to use your Nokia Tablet as a Windows SideShow device. Windows SideShow allows "gadgets" to publish content (new emails, RSS feeds, twitter etc) on a remote display.
