=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/msideshow" install
	mkdir -p "$(CURDIR)/debian/msideshow"

#	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/fonts/"
	cp -a "src/usr/share/fonts/DigitalDream.ttf" "$(CURDIR)/debian/msideshow/usr/share/fonts/DigitalDream.ttf"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/doc/msideshow/"
	cp -a "src/usr/share/doc/msideshow/changelog.Debian" "$(CURDIR)/debian/msideshow/usr/share/doc/msideshow/changelog.Debian"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/bin/"
	cp -a "src/usr/bin/mSideShow" "$(CURDIR)/debian/msideshow/usr/bin/mSideShow"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/mSideShow_icon_26x26.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/mSideShow_icon_26x26.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_bar.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_bar.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_bg.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_bg.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_front_box.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_front_box.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bat_0.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_0.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bat_100.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_100.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bat_25.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_25.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bat_50.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_50.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bat_75.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_75.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bat_charging.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_charging.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_bt.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bt.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_icon_exit.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_exit.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
	cp -a "src/usr/share/pixmaps/ss_msg_box.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_msg_box.png"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/mSideShow.desktop" "$(CURDIR)/debian/msideshow/usr/share/applications/hildon/mSideShow.desktop"
	mkdir -p "$(CURDIR)/debian/msideshow/usr/lib/python2.5/"
	cp -a "src/usr/lib/python2.5/ss_multiline.py" "$(CURDIR)/debian/msideshow/usr/lib/python2.5/ss_multiline.py"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
