## msideshow 0.0.6-1

=== debian/changelog ===
msideshow (0.0.6-1) stable; urgency=low

  Bluetooth communications now run in a seperate thread.
  Removed unnecessary screen redraws to improve performance.
  Event polls now break on a match to improve performance.

 -- Pete Foster <maemo@xmob.co.uk>  Mon, 19 Oct 2009 02:06:27 +0000
