=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,13 @@
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
 	cp -a "src/usr/share/pixmaps/ss_bg.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_bg.png"
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
+	cp -a "src/usr/share/pixmaps/ss_bt_service.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_bt_service.png"
+	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
+	cp -a "src/usr/share/pixmaps/ss_dpad.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_dpad.png"
+	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
 	cp -a "src/usr/share/pixmaps/ss_front_box.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_front_box.png"
+	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
+	cp -a "src/usr/share/pixmaps/ss_front_box_sel.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_front_box_sel.png"
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
 	cp -a "src/usr/share/pixmaps/ss_icon_bat_0.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_bat_0.png"
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
@@ -78,6 +84,8 @@
 	cp -a "src/usr/share/pixmaps/ss_icon_exit.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_icon_exit.png"
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
 	cp -a "src/usr/share/pixmaps/ss_msg_box.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_msg_box.png"
+	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/pixmaps/"
+	cp -a "src/usr/share/pixmaps/ss_splash.png" "$(CURDIR)/debian/msideshow/usr/share/pixmaps/ss_splash.png"
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/mSideShow.desktop" "$(CURDIR)/debian/msideshow/usr/share/applications/hildon/mSideShow.desktop"
 	mkdir -p "$(CURDIR)/debian/msideshow/usr/lib/python2.5/"
